commit:     2f4aaae16bdd294ba60722447cab223036f53ec7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 13 12:16:13 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 13 12:42:48 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f4aaae1

net-wireless/gnome-bluetooth: Use acct-group/plugdev

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-wireless/gnome-bluetooth/gnome-bluetooth-3.28.2.ebuild | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

diff --git a/net-wireless/gnome-bluetooth/gnome-bluetooth-3.28.2.ebuild 
b/net-wireless/gnome-bluetooth/gnome-bluetooth-3.28.2.ebuild
index 9cbfd6f8efd..67dc1ab5ae0 100644
--- a/net-wireless/gnome-bluetooth/gnome-bluetooth-3.28.2.ebuild
+++ b/net-wireless/gnome-bluetooth/gnome-bluetooth-3.28.2.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-inherit gnome.org gnome2-utils meson udev user xdg
+inherit gnome.org gnome2-utils meson udev xdg
 
 DESCRIPTION="Bluetooth graphical utilities integrated with GNOME"
 HOMEPAGE="https://wiki.gnome.org/Projects/GnomeBluetooth";
@@ -21,6 +21,7 @@ COMMON_DEPEND="
        introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
 "
 RDEPEND="${COMMON_DEPEND}
+       acct-group/plugdev
        virtual/udev
        >=net-wireless/bluez-5
 "
@@ -33,10 +34,6 @@ DEPEND="${COMMON_DEPEND}
        virtual/pkgconfig
 "
 
-pkg_setup() {
-       enewgroup plugdev
-}
-
 src_configure() {
        local emesonargs=(
                -Dicon_update=false
@@ -53,7 +50,7 @@ src_install() {
 
 pkg_postinst() {
        xdg_pkg_postinst
-       if ! has_version sys-auth/consolekit[acl] && ! has_version 
sys-apps/systemd[acl] ; then
+       if ! has_version 'sys-auth/consolekit[acl]' && ! has_version 
'sys-apps/systemd[acl]' ; then
                elog "Don't forget to add yourself to the plugdev group "
                elog "if you want to be able to control bluetooth transmitter."
        fi

Reply via email to